﻿////------------------------------------------------------------------------------------------
//
//    MindFusion Office Floorplan Designer 
//     Copyright (c) 2022, MindFusion LLC - Bulgaria
//
////------------------------------------------------------------------------------------------

// This source file contains some enumerations.

using MindFusion.Diagramming;

namespace FloorplanDesigner
{
	public enum EHandleId
	{
		eUnknown = -1,
		eTopLeft = NodeHandleType.ResizeTopLeft,
		eTopRight = NodeHandleType.ResizeTopRight,
		eBottomRight = NodeHandleType.ResizeBottomRight,
		eBottomLeft = NodeHandleType.ResizeBottomLeft,
		eTopCenter = NodeHandleType.ResizeTopCenter,
		eRightCenter = NodeHandleType.ResizeMiddleRight,
		eBottomCenter = NodeHandleType.ResizeBottomCenter,
		eLeftCenter = NodeHandleType.ResizeMiddleLeft,
		eMoveHandle = NodeHandleType.Move,
		eRotateHandle = NodeHandleType.Rotate
	}

	/// <summary>
	/// Enum specifying if the real-world units are feet or meters.
	/// </summary>
	public enum ERealWorldUnits
	{
		eFeet,
		eMeters
	}

	/// <summary>
	/// Enum option used when calling FormMain.GetNewNode(), specifying whether the node type 
	/// currently selected on the toolbar needs to be drawable or droppable.
	/// </summary>
	public enum ENodeRequirement
	{
		eUnknown,  // No requirement
		eDrawable,
		eDroppable
	}
}