﻿////------------------------------------------------------------------------------------------
//
//    MindFusion Office Floorplan Designer 
//     Copyright (c) 2022, MindFusion LLC - Bulgaria
//
////------------------------------------------------------------------------------------------

using MindFusion.Diagramming;
using MindFusion.Drawing;

using System;


namespace FloorplanDesigner
{
   /// <summary>
   /// NodeDoor is not really a node / item, as doors do exist on the floorplans created by this 
   /// program. Instead, "dropping" a door onto a wall is used to open up a hole in the wall.
   /// 
   /// This exists as a class only to simplify programming, by providing the IsDrawable and 
   /// IsDroppable properties. 
   /// </summary>
   public class NodeDoor : NodeItemBase 
   {
      public override void Draw(IGraphics graphics, RenderOptions options)
      {
         throw new NotImplementedException();
      }


      // Properties required by the NodeItemBase class. This node can only be "dropped", not "drawn" 
      //  on the floorplan.

      public override bool IsDrawable
      { get { return false; }}

      public override bool IsDroppable
      { get { return true; }}
   }
}
